Subject: bug#1488: 23.0.60; dired-pop-to-buffer: use fit-window-to-buffer

From: Stephen Berman <[email-masked]>
Date: Fri, 05 Dec 2008 18:27:20 +0100

On Fri, 05 Dec 2008 15:25:04 +0100 martin rudalics <[email-masked]> wrote:

> `fit-window-to-buffer' seems broken in a number of regards.  I'll
> eventually put condition-cases around the `enlarge-window' calls.
> Could you, so far, try whether the attached patch improves things.

You're referring to the parenthetical note below my patch, right?  So I
tested my patched version of dired-pop-to-buffer after applying your
patch.  The result is that dired-pop-to-buffer does not raise an error
if I shrink the frame to a size too small to show all marked files,
irrespective of the presence or absence of a header line; in both cases
I can shrink the frame until only one file can be shown.  That is, your
patch makes the behavior of dired-pop-to-buffer (with my patch)
uniformly like the behavior with a header line without your patch.  Is
that what you intend?

Steve Berman